+ Start a Discussion
jjulianjjulian 

THIS IS SO SIMPLE I CANNOT DEBUG IT!!!

I'm sorry but this is just ridiculous. I've always used the Database class and now all of a sudden it's throwing an error! 

 

I get the same error even when I'm in developer mode.

 

 

The class's API is 24.0, but I don't think that's the problem since I've switched it 25 and back.

Best Answer chosen by Admin (Salesforce Developers) 
SuperfellSuperfell

The error says [String].query(String) is not valid, with that hint, i would say you have a variable or class member of type string called database, which is causing the conflict.